Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/COMP/lmdz.card	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/COMP/lmdz.card	(revision 1220)
@@ -3,4 +3,8 @@
 
 [UserChoices]
+# Physics package to use
+LMDZ_Physics=NPv2.0
+#LMDZ_Physics=AP
+
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -51,9 +55,11 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
-	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
-	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
-	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/run.def, .), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
+	(${SUBMIT_DIR}/PARAM/config.def,                                 config.def), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},                       gcm.def), \
+	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                                   .), \
+	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,                                  .), \
+	(${SUBMIT_DIR}/PARAM/output.def,                                          .), \
+	(${SUBMIT_DIR}/PARAM/run.def,                                             .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
 
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/COMP/lmdz.driver	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/COMP/lmdz.driver	(revision 1220)
@@ -14,8 +14,23 @@
 }
 
+function LMDZ_string_sed
+{
+    IGCM_debug_PushStack "LMDZ_string_sed"
+
+    sed -e "s/${2}/${3}/" ${1} > ${1}.tmp
+    RET=$?
+    echo "LMDZ_sed : ${1} ${2} ${3}"
+    \mv ${1}.tmp ${1}
+
+    IGCM_debug_PopStack "LMDZ_string_sed"
+    return $RET
+}
+
 function ATM_Initialize
 {
     IGCM_debug_PushStack "ATM_Initialize"
 
+    set -vx
+
     RESOL_ATM=$( echo $RESOL | awk "-Fx" '{print $2}' | awk "-F-" '{print $1}')
 
@@ -23,5 +38,5 @@
 
     RESOL_ATM_Z=$( echo ${RESOL_ATM_3D} | awk "-Fx" '{print $3}' )
-
+ 
     ##-- Calendar type for LMDZ
     case ${config_UserChoices_CalendarType} in
@@ -57,4 +72,8 @@
     done
 
+    ## Read LMDZPhysics option in lmdz.card 
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_Physics
+    LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
+
     ## Read LMDZ_NbPeriod_adjust option in lmdz.card 
     IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_NbPeriod_adjust
@@ -91,5 +110,6 @@
     case ${config_UserChoices_PeriodLength} in
         *Y|*y) 
-               LMDZ_ecrit_mth=30. 
+#               LMDZ_ecrit_mth=30. 
+               LMDZ_ecrit_mth=1mth 
                LMDZ_ecrit_ISCCP=30.
                LMDZ_periodav=30.
@@ -100,5 +120,5 @@
                ;;
         *)
-               LMDZ_ecrit_mth=${PeriodLengthInDays}.
+               LMDZ_ecrit_mth="${PeriodLengthInDays}""day"
                LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
                LMDZ_periodav=${PeriodLengthInDays}.
@@ -140,5 +160,6 @@
     LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
     LMDZ_sed physiq.def ok_hf       ${ok_hf}
-    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+#    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    LMDZ_string_sed config.def _ecrit-mth_   ${LMDZ_ecrit_mth}
     LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
     LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/config.def	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/config.def	(revision 1220)
@@ -0,0 +1,136 @@
+##############################################################################
+# PARAMETRES ET CLES DE CONFIGURATION LMDZ
+##############################################################################
+# D: Valeur par default
+#
+# Controle des sorties
+#*********************
+OK_journe=n
+OK_mensuel=y
+ok_hf=n
+OK_instan=n
+ok_LES=n
+#ok_regdyn : y/n calcul/non des regymes dynamiques sur regions pre-definies
+ok_regdyn=y
+# A transformer en la ligne ci-dessous quand ce sera compatible avec libIGCM
+#phys_out_filekeys=       y       n       n       n       n
+phys_out_filenames=      histmth histday histhf  histins histLES
+phys_out_filelevels=     5      2       2       4       4
+phys_out_filetypes=      ave(X)  ave(X)  ave(X) inst(X) inst(X)
+phys_out_filetimesteps=  _ecrit-mth_   1day    6hr     3hr     6hr
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+#
+#Couplage avec autres modules
+#******************************
+#option de couplage pour ocean (D:force)
+##type_ocean=couple
+##version_ocean=nemo
+#avec ou sans orchidee (D:n)
+##VEGET=y
+#type_run=AMIP, ENSP, clim (D:AMIP)
+type_run=CLIM
+##  Soil Model  ou non               
+soil_model=y
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+
+#Code de transfert radiatif
+#**************************
+# ajout de ce flag pour activer/desactiver le rayonnement (MPL)
+# 0 : pas de rayonnement. 1: on active le rayonnement (D=1)
+iflag_radia=1
+## Nombre appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+# Parametres "orbitaux/ ere geologique"
+#######################################
+#Parametres orbitaux
+#excentricite
+R_ecc=0.016715
+#equinoxe
+R_peri=102.7
+#inclinaison
+R_incl=23.441
+#constante solaire
+solaire=1366.0896
+##  Facteur additif pour l albedo
+pmagic=0.008
+#
+# Taux gaz a effet de serre
+#######################################
+#concentration des gaz (co2 ch4   n2o  cfc11 cfc12)
+#                  (D: 348. 1650. 306.  280.  484.)
+co2_ppm=0.36886500E+03
+#RCO2=co2_ppm * 1.0e-06  * 44.011/28.97= 5.286789092164308E-04
+CH4_ppb=0.17510225E+04
+#RCH4=1.65E-06* 16.043/28.97= 9.137366240938903E-07
+N2O_ppb=0.31585000E+03
+#RN2O=306.E-09* 44.013/28.97= 4.648939592682085E-07
+CFC11_ppt=5.18015181E+01
+#RCFC11=280.E-12* 137.3686/28.97= 1.327690990680013E-09
+CFC12_ppt=0.99862742E+03
+#RCFC12=484.E-12* 120.9140/28.97= 2.020102726958923E-09
+#
+# Parametres effets directs/indirects des "aerosols"
+#######################################
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=actuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#######################################
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#######################################
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#######################################
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
+#
+
+# Specifique aquaplanete
+########################
+#qsol0=100.
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/output.def	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/output.def	(revision 1220)
@@ -0,0 +1,2 @@
+flag_phis = 1,1,10,5,1
+name_phis=phis
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39	(revision 1213)
+++ 	(revision )
@@ -1,233 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.008
-#
-#
-#
-# Parametres fichiers de sortie
-#
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
-#
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### ecrit_ins = frequence ecriture fichier histhf3h.nc en jours
-ecrit_ins=0.125
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1366.0896
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.36886500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.17510225E+04
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.31585000E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 5.18015181E+01
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.99862742E+03
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=actuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39_AP	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39_AP	(revision 1220)
@@ -0,0 +1,114 @@
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.8
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+##  Activation ou non de la parametrisation de Hines pour la strato
+#******************************************************************
+ok_hines=y
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=4.16e-4
+cld_lc_con=4.16e-4
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=1800.
+cld_tau_con=1800.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=0.5
+ffallv_con=0.5
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=2.e-5
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=3
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=0
+ratqsbas=0.005
+ratqshaut=0.33
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=30
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.999
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=1
+#fermeture convective (D:1, 1:AR4, 2:ALE and ALP)
+iflag_clos=1
+#loi de melange a l entrainement  (D:1, 0: plate, 1=AR4:PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=0.
+qqa2=1.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=0
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=0
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=1
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=0 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=0
+alp_offset=-0.0
+
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39_NPv2.0
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39_NPv2.0	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/physiq.def_L39_NPv2.0	(revision 1220)
@@ -0,0 +1,112 @@
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.8
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=4.e-4
+cld_lc_con=4.e-4
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=3600.
+cld_tau_con=3600.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=1.8
+ffallv_con=1.8
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=1e-4
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=6
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=2
+ratqsbas=0.01
+ratqshaut=0.1
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=3
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.995
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=1
+#fermeture convective (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+#loi de melange a l entrainement  (D:1, 0:AR4=PDF plate, 1=PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=0.
+qqa2=1.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=15
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=10
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=8
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=1 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+#
+#
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=1
+alp_offset=-0.2
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/run.def	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/PARAM/run.def	(revision 1220)
@@ -2,6 +2,8 @@
 #
 INCLUDEDEF=physiq.def
+INCLUDEDEF=config.def
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5B/EXP00/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/EXP00/config.card	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/EXP00/config.card	(revision 1220)
@@ -9,11 +9,11 @@
 [UserChoices]
 #============================
-JobName=EXP00
+JobName=N05B
 #----- Short Name of Experiment
 ExperimentName=pdControl
 #----- DEVT TEST PROD
 SpaceName=DEVT
-LongName="IPSLCM5A CMIP5 DEVT phase pdControl example with limited outputs"
-TagName=IPSLCM5A
+LongName="IPSLCM5B CMIP5 DEVT phase pdControl example with limited outputs"
+TagName=IPSLCM5B
 #============================
 #-- leap, noleap, 360d
@@ -22,5 +22,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=2000-01-01
-DateEnd=2000-12-31
+DateEnd=2000-02-28
 #============================
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
@@ -54,11 +54,11 @@
 #D- If you want to restart all components from the same simulation,
 #D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=n
+OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=1999-12-31
+RestartDate=1829-12-31
 #D- Define restart simulation name for all components
-RestartJobName=EXP00
+RestartJobName=CNPF16ctrl
 #D- Path Server Group Login
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl/
 
 #========================================================================
@@ -167,5 +167,5 @@
 ATM= (lmdz, LMDZ4-dev)
 SRF= (orchidee, ORCHIDEE_1_9_5)
-SBG= (stomate, ORCHIDEE_1_9_5)
+#SBG= (stomate, ORCHIDEE_1_9_5)
 OCE= (opa9, CMIP5_IPSL)
 ICE= (lim2, CMIP5_IPSL)
Index: CONFIG/IPSLCM/IPSLCM5B/historical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/COMP/lmdz.card	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/COMP/lmdz.card	(revision 1220)
@@ -3,4 +3,6 @@
 
 [UserChoices]
+# Physics package to use
+LMDZ_Physics=AP
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -56,5 +58,6 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
+	(${SUBMIT_DIR}/PARAM/config.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, config.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
Index: CONFIG/IPSLCM/IPSLCM5B/historical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/COMP/lmdz.driver	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/COMP/lmdz.driver	(revision 1220)
@@ -59,4 +59,8 @@
 	esac
     done
+
+     ## Read LMDZPhysics option in lmdz.card 
+     IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_Physics
+     LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
 
     ## Read LMDZ_NbPeriod_adjust option in lmdz.card 
Index: CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/config.def	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/config.def	(revision 1220)
@@ -0,0 +1,136 @@
+##############################################################################
+# PARAMETRES ET CLES DE CONFIGURATION LMDZ
+##############################################################################
+# D: Valeur par default
+#
+# Controle des sorties
+#*********************
+OK_journe=n
+OK_mensuel=y
+ok_hf=n
+OK_instan=n
+ok_LES=n
+#ok_regdyn : y/n calcul/non des regymes dynamiques sur regions pre-definies
+ok_regdyn=y
+# A transformer en la ligne ci-dessous quand ce sera compatible avec libIGCM
+#phys_out_filekeys=       y       y        y        y        y
+phys_out_filenames=      histmth histday histhf  histhf3h histhf3hm
+phys_out_filelevels=       5         5       5       5       5
+phys_out_filetypes=      ave(X)  ave(X)  ave(X) inst(X) inst(X)
+phys_out_filetimesteps=  _ecrit-mth_   1day    6hr     3hr     3hr
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+#
+#Couplage avec autres modules
+#******************************
+#option de couplage pour ocean (D:force)
+##type_ocean=couple
+##version_ocean=nemo
+#avec ou sans orchidee (D:n)
+##VEGET=y
+#type_run=AMIP, ENSP, clim (D:AMIP)
+type_run=CLIM
+##  Soil Model  ou non               
+soil_model=y
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+
+#Code de transfert radiatif
+#**************************
+# ajout de ce flag pour activer/desactiver le rayonnement (MPL)
+# 0 : pas de rayonnement. 1: on active le rayonnement (D=1)
+iflag_radia=1
+## Nombre appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+# Parametres "orbitaux/ ere geologique"
+#######################################
+#Parametres orbitaux
+#excentricite
+R_ecc=0.016715
+#equinoxe
+R_peri=102.7
+#inclinaison
+R_incl=23.441
+#constante solaire
+solaire=1365.6537
+##  Facteur additif pour l albedo
+pmagic=0.0
+#
+# Taux gaz a effet de serre
+#######################################
+#concentration des gaz (co2 ch4   n2o  cfc11 cfc12)
+#                  (D: 348. 1650. 306.  280.  484.)
+co2_ppm=0.36886500E+03
+#RCO2=co2_ppm * 1.0e-06  * 44.011/28.97= 5.286789092164308E-04
+CH4_ppb=0.17510225E+04
+#RCH4=1.65E-06* 16.043/28.97= 9.137366240938903E-07
+N2O_ppb=0.31585000E+03
+#RN2O=306.E-09* 44.013/28.97= 4.648939592682085E-07
+CFC11_ppt=5.18015181E+01
+#RCFC11=280.E-12* 137.3686/28.97= 1.327690990680013E-09
+CFC12_ppt=0.99862742E+03
+#RCFC12=484.E-12* 120.9140/28.97= 2.020102726958923E-09
+#
+# Parametres effets directs/indirects des "aerosols"
+#######################################
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=annuel
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#######################################
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#######################################
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#######################################
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
+#
+
+# Specifique aquaplanete
+########################
+#qsol0=100.
Index: CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/output.def	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/output.def	(revision 1220)
@@ -0,0 +1,9 @@
+# more variables for level 5 : vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6
+name_vitw         =  vitw
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6
+name_pres         =  pres
+### Aga sortie avec niveau 2
+flag_Aga       =  2, 10, 10, 10, 10
Index: CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39	(revision 1213)
+++ 	(revision )
@@ -1,250 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.0
-#
-#
-#
-# Parametres fichiers de sortie
-#
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
-# Noms des fichiers
-phys_out_filenames=      histmth histday histhf  histhf3h histhf3hm
-# Sortir ou non les fichiers
-phys_out_filekeys=       y       y       y       y       y
-# Niveaux de sorties
-phys_out_filelevels=     5       5       5       5       5
-# more variables for level 5 : vitw and pres
-# Vertical wind
-flag_vitw         =  2, 3, 7, 6, 6
-name_vitw         =  vitw
-# Air pressure
-flag_pres         =  2, 3, 7, 6, 6
-name_pres         =  pres
-#
-# Parametres niveau de sorties differents fichiers
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => champs 3d niveaux modele dans le fichier histhf.nc
-lev_histhf=5
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=5
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
-### Aga sortie avec niveau 2
-flag_Aga       =  2, 10, 10, 10, 10
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### ecrit_LES = frequence ecriture fichier histhf3hm.nc en jours
-ecrit_LES=0.125
-### ecrit_ins = frequence ecriture fichier histhf3h.nc en jours
-ecrit_ins=0.125
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.6537
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.36886500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.17510225E+04
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.31585000E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 5.18015181E+01
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.99862742E+03
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=annuel
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39_AP	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39_AP	(revision 1220)
@@ -0,0 +1,114 @@
+1##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.8
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+##  Activation ou non de la parametrisation de Hines pour la strato
+#******************************************************************
+ok_hines=y
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=4.16e-4
+cld_lc_con=4.16e-4
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=1800.
+cld_tau_con=1800.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=0.5
+ffallv_con=0.5
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=2.e-5
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=3
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=0
+ratqsbas=0.005
+ratqshaut=0.33
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=30
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.999
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=1
+#fermeture convective (D:1, 1:AR4, 2:ALE and ALP)
+iflag_clos=1
+#loi de melange a l entrainement  (D:1, 0: plate, 1=AR4:PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=0.
+qqa2=1.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=0
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=0
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=1
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=0 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=0
+alp_offset=-0.0
+
Index: CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39_NPv2.0
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39_NPv2.0	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/physiq.def_L39_NPv2.0	(revision 1220)
@@ -0,0 +1,112 @@
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.8
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=4.e-4
+cld_lc_con=4.e-4
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=3600.
+cld_tau_con=3600.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=1.8
+ffallv_con=1.8
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=1e-4
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=6
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=2
+ratqsbas=0.01
+ratqshaut=0.1
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=3
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.995
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=1
+#fermeture convective (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+#loi de melange a l entrainement  (D:1, 0:AR4=PDF plate, 1=PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=0.
+qqa2=1.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=15
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=10
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=8
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=1 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+#
+#
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=1
+alp_offset=-0.2
Index: CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/run.def	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/PARAM/run.def	(revision 1220)
@@ -2,6 +2,8 @@
 #
 INCLUDEDEF=physiq.def
+INCLUDEDEF=config.def
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5B/historical/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/historical/config.card	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/historical/config.card	(revision 1220)
@@ -13,7 +13,7 @@
 ExperimentName=historical
 #----- DEVT TEST PROD
-SpaceName=DEVT
-LongName="IPSLCM5A CMIP5 DEVT phase historical example with large outputs"
-TagName=IPSLCM5A
+SpaceName=PROD
+LongName="IPSLCM5B CMIP5 DEVT phase historical example with large outputs"
+TagName=IPSLCM5B
 #============================
 #-- leap, noleap, 360d
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/COMP/lmdz.card	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/COMP/lmdz.card	(revision 1220)
@@ -3,4 +3,6 @@
 
 [UserChoices]
+# Physics package to use
+LMDZ_Physics=AP
 ByPass_hgardfou_teta=n
 ByPass_hgardfou_mats=n
@@ -50,5 +52,6 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, physiq.def), \
++	(${SUBMIT_DIR}/PARAM/config.def_L${RESOL_ATM_Z}_${LMDZ_Physics}, config.def), \
 	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
 	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/COMP/lmdz.driver	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/COMP/lmdz.driver	(revision 1220)
@@ -56,4 +56,8 @@
 	esac
     done
+
+    ## Read LMDZPhysics option in lmdz.card 
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_Physics
+    LMDZ_Physics=${lmdz_UserChoices_LMDZ_Physics}
 
     ## Read LMDZ_NbPeriod_adjust option in lmdz.card 
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/config.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/config.def	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/config.def	(revision 1220)
@@ -0,0 +1,136 @@
+##############################################################################
+# PARAMETRES ET CLES DE CONFIGURATION LMDZ
+##############################################################################
+# D: Valeur par default
+#
+# Controle des sorties
+#*********************
+OK_journe=n
+OK_mensuel=y
+ok_hf=n
+OK_instan=n
+ok_LES=n
+#ok_regdyn : y/n calcul/non des regymes dynamiques sur regions pre-definies
+ok_regdyn=y
+# A transformer en la ligne ci-dessous quand ce sera compatible avec libIGCM
+#phys_out_filekeys=       y       n       n       n       n
+phys_out_filenames=      histmth histday histhf  histins histLES
+phys_out_filelevels=     5      2       2       4       4
+phys_out_filetypes=      ave(X)  ave(X)  ave(X) inst(X) inst(X)
+phys_out_filetimesteps=  _ecrit-mth_   1day    6hr     3hr     6hr
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+#
+#Couplage avec autres modules
+#******************************
+#option de couplage pour ocean (D:force)
+##type_ocean=couple
+##version_ocean=nemo
+#avec ou sans orchidee (D:n)
+##VEGET=y
+#type_run=AMIP, ENSP, clim (D:AMIP)
+type_run=CLIM
+##  Soil Model  ou non               
+soil_model=y
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+
+#Code de transfert radiatif
+#**************************
+# ajout de ce flag pour activer/desactiver le rayonnement (MPL)
+# 0 : pas de rayonnement. 1: on active le rayonnement (D=1)
+iflag_radia=1
+## Nombre appels des routines de rayonnements ( par jour)                 
+nbapp_rad=24
+
+# Parametres "orbitaux/ ere geologique"
+#######################################
+#Parametres orbitaux
+#excentricite
+R_ecc=0.016715
+#equinoxe
+R_peri=102.7
+#inclinaison
+R_incl=23.441
+#constante solaire
+solaire=1365.6537
+##  Facteur additif pour l albedo
+pmagic=0.0
+#
+# Taux gaz a effet de serre
+#######################################
+#concentration des gaz (co2 ch4   n2o  cfc11 cfc12)
+#                  (D: 348. 1650. 306.  280.  484.)
+co2_ppm=0.28472500E+03
+#RCO2=co2_ppm * 1.0e-06  * 44.011/28.97= 5.286789092164308E-04
+CH4_ppb=0.79097924E+03
+#RCH4=1.65E-06* 16.043/28.97= 9.137366240938903E-07
+N2O_ppb=0.27542506E+03
+#RN2O=306.E-09* 44.013/28.97= 4.648939592682085E-07
+CFC11_ppt=0.
+#RCFC11=280.E-12* 137.3686/28.97= 1.327690990680013E-09
+CFC12_ppt=0.
+#RCFC12=484.E-12* 120.9140/28.97= 2.020102726958923E-09
+#
+# Parametres effets directs/indirects des "aerosols"
+#######################################
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=y
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=y
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+aer_type=preind
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=6 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.7
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#######################################
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=2
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#######################################
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#######################################
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
+top_height = 1
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
+overlap = 3
+#
+
+# Specifique aquaplanete
+########################
+#qsol0=100.
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/output.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/output.def	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/output.def	(revision 1220)
@@ -0,0 +1,9 @@
+#
+# more variables for level 5 : vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 7, 6, 6
+name_vitw         =  vitw
+# Air pressure
+flag_pres         =  2, 3, 7, 6, 6
+name_pres         =  pres
+
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39	(revision 1213)
+++ 	(revision )
@@ -1,242 +1,0 @@
-## $Id$
-#
-# PARAMETRES ANCIENNEMENT DANS gcm.def
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Activation ou non de la parametrisation de Hines pour la strato
-ok_hines=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)                 
-nbapp_rad=24
-##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
-iflag_con=30
-## Facteur multiplication des precip convectives dans KE
-cvl_corr=1.0
-##  Facteur additif pour l'albedo
-pmagic=0.0
-#
-#
-#
-# Parametres fichiers de sortie
-#
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
-#
-# more variables for level 5 : vitw and pres
-# Vertical wind
-flag_vitw         =  2, 3, 7, 6, 6
-name_vitw         =  vitw
-# Air pressure
-flag_pres         =  2, 3, 7, 6, 6
-name_pres         =  pres
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
-### Aga sortie avec niveau 2
-flag_Aga       =  2, 10, 10, 10, 10
-### parametres pour hist*NMC.nc
-#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
-#                histdayNMC: 8 ou 17
-lev_histdayNMC=8
-### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
-ok_histNMC = y, n, n
-### ecrit_ins = frequence ecriture fichier histhf3h.nc en jours
-ecrit_ins=0.125
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=_ecrit-ISCCP_
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .999
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 4.16e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 4.16e-4
-### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 1800.
-### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 1800.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 0.5
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 0.5
-### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 0.
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### iflag_ratqs=0 correspond a la version IPCC AR4 
-iflag_ratqs=0
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-# 
-# Coefficient et parametres sur les drags
-#
-f_cdrag_ter=1.
-f_cdrag_stable=1.
-f_cdrag_oce=0.8
-f_rugoro=0.
-### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.6537
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 0.28472500E+03
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 0.79097924E+03
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 0.27542506E+03
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 0.
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 0.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=y
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=y
-### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=preind
-###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
-flag_aerosol=6 
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametre de lecture de l'ozone
-#
-# Allowed values are 0, 1 and 2
-# 0: do not read an ozone climatology
-# 1: read a single ozone climatology that will be used day and night
-# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
-read_climoz=2
-#
-# Parametres simulateur COSP (CFMIP Observational Simulator Package)
-#
-### ok_cosp=y/n flag simulateur COSP
-ok_cosp=n
-### freq_COSP = frequence d'appel de COSP en secondes
-freq_COSP=10800.
-### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
-ok_mensuelCOSP=y
-### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
-ok_journeCOSP=y
-### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
-ok_hfCOSP=n
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39_AP
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39_AP	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39_AP	(revision 1220)
@@ -0,0 +1,114 @@
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.8
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+##  Activation ou non de la parametrisation de Hines pour la strato
+#******************************************************************
+ok_hines=y
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=4.16e-4
+cld_lc_con=4.16e-4
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=1800.
+cld_tau_con=1800.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=0.5
+ffallv_con=0.5
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=2.e-5
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=3
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=0
+ratqsbas=0.005
+ratqshaut=0.33
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=30
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.999
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=1
+#fermeture convective (D:1, 1:AR4, 2:ALE and ALP)
+iflag_clos=1
+#loi de melange a l entrainement  (D:1, 0: plate, 1=AR4:PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=0.
+qqa2=1.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=0
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=0
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=1
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=0 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=0
+alp_offset=-0.0
+
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39_NPv2.0
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39_NPv2.0	(revision 1220)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/physiq.def_L39_NPv2.0	(revision 1220)
@@ -0,0 +1,112 @@
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.8
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=4.e-4
+cld_lc_con=4.e-4
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=3600.
+cld_tau_con=3600.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=1.8
+ffallv_con=1.8
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=1e-4
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=6
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=2
+ratqsbas=0.01
+ratqshaut=0.1
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=3
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.995
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=1
+#fermeture convective (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+#loi de melange a l entrainement  (D:1, 0:AR4=PDF plate, 1=PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=0.
+qqa2=1.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=15
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=10
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=8
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=1 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+#
+#
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=1
+alp_offset=-0.2
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/run.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/run.def	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/PARAM/run.def	(revision 1220)
@@ -2,6 +2,8 @@
 #
 INCLUDEDEF=physiq.def
+INCLUDEDEF=config.def
 INCLUDEDEF=gcm.def
 INCLUDEDEF=orchidee.def
+INCLUDEDEF=output.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: CONFIG/IPSLCM/IPSLCM5B/piControl/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5B/piControl/config.card	(revision 1213)
+++ CONFIG/IPSLCM/IPSLCM5B/piControl/config.card	(revision 1220)
@@ -13,7 +13,7 @@
 ExperimentName=piControl
 #----- DEVT TEST PROD
-SpaceName=DEVT
-LongName="IPSLCM5A CMIP5 DEVT phase piControl example with large outputs"
-TagName=IPSLCM5A
+SpaceName=PROD
+LongName="IPSLCM5B CMIP5 DEVT phase piControl example with large outputs"
+TagName=IPSLCM5B
 #============================
 #-- leap, noleap, 360d
